<?php 

session_start();

date_default_timezone_set('America/Lima');

require_once ("../../config/Cado.php");



require_once("../notadebito/cNotadebito.php");

$oNotadebito = new cNotadebito();



require_once ("../talonario/cTalonario.php");

$oTalonario= new cTalonario();



require_once("../venta/cVentapago.php");

$oVentapago = new cVentapago();



require_once ("../venta/cVenta.php");

$oVenta = new cVenta();



require_once ("../egreso/cEgreso.php");

$oEgreso = new cEgreso();



require_once("../formatos/formato.php");



if($_POST['action_notdeb']=="insertar")

{

	if($_POST['txt_notdeb_tot']<=0)

	{

		$data['est']=0;

		$data['msj']='El monto total de una NOTA DE DEBITO no puede ser cero.';

	}else{

	

	$dts=$oNotadebito->ver_estadoventa($_POST['hdd_venta_id']);

	$dt = mysql_fetch_array($dts);

	$emp=$dt['tb_empresa_id'];

	$pis=$dt['tb_piso_id'];

	$monid = $dt['tb_moneda_id'];

	$tipcam = $dt['tb_venta_tipcam'];

	$cliid = $dt['tb_cliente_id'];

	$clinom = $dt['tb_cliente_nom'];

	$clidir = $dt['tb_cliente_dir'];

	$est=$dt['tb_venta_est'];

	$tot=$dt['tb_venta_tot'];

	$docrel=$dt['tb_venta_rel'];

	$numdoc_doc=$dt['tb_venta_numdoc'];

	$estsun=$dt['tb_venta_estsun'];

	mysql_free_result($dts);

	

	$tipdoc =substr($numdoc_doc,0,1);

		

	if($tipdoc=='F' or $tipdoc=='B'){

	

	if($estsun==1){

		

	$docrel_id = $_POST['hdd_venta_id'];

			

	$docabr_mod =substr($numdoc_doc,0,1);

	$tal_mod =substr($numdoc_doc,0,4);

	$sernd = 'ND0'.$_SESSION['usuario_ser'];

	$docnd = '24';

			

	$dts = $oTalonario->correlativo($_SESSION['puntoventa_id'],$docnd,$sernd);

	$dt = mysql_fetch_array($dts);

	$tal_id=$dt['tb_talonario_id'];

	$tal_ser=$dt['tb_talonario_ser'];

	$tal_fin=$dt['tb_talonario_fin'];

	$tal_num=$dt['tb_talonario_num'];

	mysql_free_result($dts);

			

	$sernota = substr($tal_ser,2,4);

	$numero=$tal_num;

	$largo=strlen($tal_fin);

	$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);

	$numdoc=$docabr_mod.'0'.$sernota.'-'.$numero;

		

	if($_POST['cmb_notdeb_tip']==1){

		$tipid='01';

		$tipnom='INTERES POR MORA';		

	}else if($_POST['cmb_notdeb_tip']==2){

		$tipid='02';

		$tipnom='AUMENTO EN EL VALOR';

	}else if($_POST['cmb_notdeb_tip']==3){

		$tipid='03';

		$tipnom='PENALIDADES/OTROS CONCEPTOS';

	}	



	$oNotadebito->insertar(

					fecha_mysql($_POST['txt_notdeb_fec']),

					$docnd,

					$numdoc,

					$_SESSION['usuario_id'],

					$docrel_id,

					$tipnom,

					$tipid,

					moneda_mysql($_POST['txt_notdeb_tot'])

		);

			

		$estado='1';

		if($tal_num==$tal_fin)

		{

			$estado='2';

		}

		$numero=$tal_num+1;

		$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);	

		

		$dts=$oNotadebito->ultimoInsert();

		$dt = mysql_fetch_array($dts);

		$notdeb_id=$dt['last_insert_id()'];

		mysql_free_result($dts);	



		

		

		$rs=$oVenta->insertar(

			fecha_mysql($_POST['txt_notdeb_fec']),

			fecha_mysql($_POST['txt_notdeb_fec']),

			'25',

			$numdoc,

			$monid,

			$tipcam,

			$cliid,

			$clinom,

			$clidir,

			$cli_pla,

			moneda_mysql(0),

			moneda_mysql(0),

			moneda_mysql(0),

			moneda_mysql($_POST['txt_notdeb_tot']),

			$est,			

			$_SESSION['usuario_id'],

			$_SESSION['usuario_id'],

			$pis,

			$_SESSION['puntoventa_id'],

			'',

			moneda_mysql(0),//tb_venta_gra

			0,//tb_venta_ina

			0,//tb_venta_exo

			0,//tb_venta_grat

			0,//tb_venta_isc

			0,

			0,

			0

		);

		

		$dts=$oVenta->ultimoInsert();

		$dt = mysql_fetch_array($dts);

			$ven_id=$dt['last_insert_id()'];

		mysql_free_result($dts);

		

			$forpag=2;

			$est = 2;

			$modpag='CREDITO';

		

		

		$rs1=$oVentapago->insertar(

				$forpag,

				$modpag,

				moneda_mysql($_POST['txt_notdeb_tot']),

				$_POST['cmb_tar_id'],

				$_POST['cmb_cuedep_id'],

				$_POST['txt_venpag_numope'],

				'0',

				fecha_mysql($_POST['txt_notdeb_fec']),

				$est,

				$ven_id,

				'2'

		);

					

		$valuni = $_POST['txt_notdeb_tot'] / 1.18;

		

	if($_POST['cmb_notdeb_tip']==1){

		

		$asu='INTERES POR MORA';	

		

		$oNotadebito->insertardetalle(

					$asu,

					$valuni,

					$notdeb_id

			);



		

	}else if($_POST['cmb_notdeb_tip']==2){

		

		$asu='AUMENTO EN EL VALOR';

		

		$oNotadebito->insertardetalle(

					$asu,

					$valuni,

					$notdeb_id

			);

			

	}else if($_POST['cmb_notdeb_tip']==3){



		foreach($_SESSION['notadebito_asu'] as $indice=>$asu) {



		  $asu = $_SESSION['notadebito_asu'][$indice];

		  $valuni = $_SESSION['notadebito_mon'][$indice]/1.18;

			$oNotadebito->insertardetalle(

					$asu,

					$valuni,

					$notdeb_id

			);

		

		}

	

	}

		

		

		

	$data['venid']=$_POST['hdd_venta_id'];

	$data['notdebid']=$notdeb_id;

	$data['est']=1;

	$data['msj']="Nota de debito electronica N° ".$numdoc." registrada";

	}else{

		$data['est']=3;

		$data['msj']="El documento aun no ha sido emitido a sunat";

	}

		}else{

			$data['est']=0;

			$data['msj']="El documento referencia a un documento interno (NOTA DE VENTA)";

		}

	}

	

	echo json_encode($data);

	

	}

?>